Skip to main content
POST
/
v1
/
agents
/
run
/
{agent_id}
/
async
curl --request POST \
  --url "https://api.roe-ai.com/v1/agents/run/YOUR_AGENT_ID/async/" \
  --header "Authorization: Bearer YOUR_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
    "inputs": {
      "key": "value"
    }
  }'
"123e4567-e89b-12d3-a456-426614174000"

Documentation Index

Fetch the complete documentation index at: https://docs.roe-ai.com/llms.txt

Use this file to discover all available pages before exploring further.

curl --request POST \
  --url "https://api.roe-ai.com/v1/agents/run/YOUR_AGENT_ID/async/" \
  --header "Authorization: Bearer YOUR_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
    "inputs": {
      "key": "value"
    }
  }'

Path Parameters

agent_id
string<uuid>
required

Query Parameters

organization_id
string<uuid>

Organization ID. This is required for access control. It can be provided via query or request body depending on the endpoint.

Body

Serializer for agent execution requests with dynamic input fields.

metadata
any

Optional metadata as JSON object or JSON string

agent_input_key_example
string

Agent input keys are dynamic based on agent configuration. Can be text or file.

Minimum string length: 1

Response

Agent job ID

The response is of type string.